<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Extensions  Reference</title>
    <link rel="stylesheet" type="text/css" href="css/jazzy.css" />
    <link rel="stylesheet" type="text/css" href="css/highlight.css" />
    <meta charset='utf-8'>
    <script src="js/jquery.min.js" defer></script>
    <script src="js/jazzy.js" defer></script>
    
  </head>
  <body>
    <a title="Extensions  Reference"></a>
    <header>
      <div class="content-wrapper">
        <p><a href="index.html">BlueAirSDK Docs</a> (45% documented)</p>
      </div>
    </header>
    <div class="content-wrapper">
      <p id="breadcrumbs">
        <a href="index.html">BlueAirSDK Reference</a>
        <img id="carat" src="img/carat.png" />
        Extensions  Reference
      </p>
    </div>
    <div class="content-wrapper">
      <nav class="sidebar">
        <ul class="nav-groups">
          <li class="nav-group-name">
            <a href="Classes.html">Classes</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Classes/BlueAirManager.html">BlueAirManager</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Enums.html">Enumerations</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Enums/BlueAirSDKError.html">BlueAirSDKError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums.html#/s:10BlueAirSDK0aB9ScanErrorO">BlueAirScanError</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FanMode.html">FanMode</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/FanSpeed.html">FanSpeed</a>
              </li>
              <li class="nav-group-task">
                <a href="Enums/PeripheralConnectionState.html">PeripheralConnectionState</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Extensions.html">Extensions</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Extensions/Collection.html">Collection</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Protocols.html">Protocols</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Protocols/ScanDelegate.html">ScanDelegate</a>
              </li>
            </ul>
          </li>
          <li class="nav-group-name">
            <a href="Structs.html">Structures</a>
            <ul class="nav-group-tasks">
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors.html">BlueAirErrors</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/MainError.html">– MainError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/PlugError.html">– PlugError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/DuoError.html">– DuoError</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/BlueAirErrors/NRFErrror.html">– NRFErrror</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/Datapoint.html">Datapoint</a>
              </li>
              <li class="nav-group-task">
                <a href="Structs/FilterUsage.html">FilterUsage</a>
              </li>
            </ul>
          </li>
        </ul>
      </nav>
      <article class="main-content">
        <section>
          <section class="section">
            <h1>Extensions</h1>
            <p>The following extensions are available globally.</p>

          </section>
          <section class="section task-group-section">
            <div class="task-group">
              <ul>
                <li class="item">
                  <div>
                    <code>
                    <a name="/s:s10CollectionP"></a>
                    <a name="//apple_ref/swift/Extension/Collection" class="dashAnchor"></a>
                    <a class="token" href="#/s:s10CollectionP">Collection</a>
                    </code>
                  </div>
                  <div class="height-container">
                    <div class="pointer-container"></div>
                    <section class="section">
                      <div class="pointer"></div>
                      <div class="abstract">
                        <p>Extension of the Collection<UInt8,16,32> class, allowing to access an element at a
specified if it&rsquo;s within bounds, else get 0 and avoid going out of range.</p>

                        <a href="Extensions/Collection.html" class="slightly-smaller">See more</a>
                      </div>
                      <div class="declaration">
                        <h4>Declaration</h4>
                        <div class="language">
                          <p class="aside-title">Swift</p>
                          <pre class="highlight swift"><code><span class="kd">protocol</span> <span class="kt">Collection</span> <span class="p">:</span> <span class="kt">Sequence</span></code></pre>

                        </div>
                      </div>
                    </section>
                  </div>
                </li>
              </ul>
            </div>
          </section>
        </section>
        <section id="footer">
          <p>&copy; 2018 <a class="link" href="https://bitbucket.org/airboxlab/icp_sdk_release" target="_blank" rel="external">AirBoxLab</a>. All rights reserved. (Last updated: 2018-02-13)</p>
          <p>Generated by <a class="link" href="https://github.com/realm/jazzy" target="_blank" rel="external">jazzy ♪♫ v0.9.1</a>, a <a class="link" href="http://realm.io" target="_blank" rel="external">Realm</a> project.</p>
        </section>
      </article>
    </div>
  </body>
</div>
</html>
